#ifndef _DYNAMIXEL_SLAVE_REGISTERS_H
#define _DYNAMIXEL_SLAVE_REGISTERS_H

#define EEPROM_DYN_SLAVE_LENGTH1              6 

#define EEPROM_DYN_SLAVE_LENGTH2              1

#define DEVICE_MODEL                          0 
#define FIRMWARE_VERSION                      2
#define DEVICE_ID                             3
#define BAUDRATE                              4
#define RETURN_DELAY                          5

#define RETURN_LEVEL                          0

#define dyn_slave_control_eeprom_data(name,section_name,base_address1,base_address2,DEFAULT_DEVICE_MODEL,DEFAULT_FIRMWARE_VERSION,DEFAULT_DEVICE_ID,DEFAULT_BAUDRATE,DEFAULT_RETURN_DELAY,DEFAULT_RETURN_LEVEL) \
unsigned short int name##_eeprom_data[] __attribute__ ((section (section_name))) __attribute__ ((aligned (4)))= {\
  DEFAULT_DEVICE_MODEL&0x00FF,base_address1+DEVICE_MODEL, \
  (DEFAULT_DEVICE_MODEL>>8)&0x00FF,base_address1+DEVICE_MODEL+1, \
  DEFAULT_FIRMWARE_VERSION,base_address1+FIRMWARE_VERSION, \
  DEFAULT_DEVICE_ID,base_address1+DEVICE_ID, \
  DEFAULT_BAUDRATE,base_address1+BAUDRATE, \
  DEFAULT_RETURN_DELAY,base_address1+RETURN_DELAY, \
  DEFAULT_RETURN_LEVEL,base_address2+RETURN_LEVEL \
};


#endif

