#ifndef _JOINT_MOTION_REGISTERS_H
#define _JOINT_MOTION_REGISTERS_H

#define RAM_JOINT_MOTION_LENGTH                 (5*NUM_JOINT_GROUPS+DYN_MANAGER_MAX_NUM_DEVICES*4)

#define JOINT_MOTION_GROUP_CONTROL_OFFSET       0
  #define JOINT_MOTION_START                    0x01
  #define JOINT_MOTION_STOP                     0x02
  #define JOINT_MOTION_RUNNING                  0x80
#define JOINT_MOTION_GROUP_SERVOS_OFFSET        NUM_JOINT_GROUPS 
#define JOINT_MOTION_SERVO_ANGLES_OFFSET        (5*NUM_JOINT_GROUPS)
#define JOINT_MOTION_SERVO_SPEEDS_OFFSET        ((5*NUM_JOINT_GROUPS)+DYN_MANAGER_MAX_NUM_DEVICES*2)
#define JOINT_MOTION_SERVO_ACCELS_OFFSET        ((5*NUM_JOINT_GROUPS)+DYN_MANAGER_MAX_NUM_DEVICES*3)

#endif

