#ifndef _MOTION_MANAGER_REGISTERS_H
#define _MOTION_MANAGER_REGISTERS_H

#include "dyn_module_registers.h"

#define RAM_MM_LENGTH                        (4+DYN_MANAGER_MAX_NUM_DEVICES/2+2*DYN_MANAGER_MAX_NUM_DEVICES)

#define MM_PRESENT_SERVOS_OFFSET             0
#define MM_ENABLE_MODULE_OFFSET              4
  #define MM_EVEN_SER_EN                     0x80
  #define MM_EVEN_SER_MOD                    0x70
  #define MM_ODD_SER_EN                      0x08
  #define MM_ODD_SER_MOD                     0x07
#define MM_CURRENT_ANGLES_OFFSET             (4+DYN_MANAGER_MAX_NUM_DEVICES/2)

#define EEPROM_MM_LENGTH                     (DYN_MANAGER_MAX_NUM_DEVICES)

#define MM_SERVO_OFFSET_OFFSET               0

#define dyn_mm_eeprom_data(name,section_name,base_address,DEFAULT_PERIOD,...) \
dyn_module_eeprom_data(name##_module,section_name,base_address,DEFAULT_PERIOD) \
unsigned short int name##_eeprom_data[] __attribute__ ((section (section_name))) __attribute__ ((aligned (4)))={ \
  __VA_ARGS__ \
};

#endif

